GET Premier Player Crests
https://pd.{shard}.a.pvp.net/premier/v2/players/{puuid}/crests Get Premier season history and crest data for a player.
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{puuid}A player's UUID
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type PremierPlayerCrestsResponse = {
/** Player UUID */
puuid: string;
/** ISO 8601 date string */
contenderEligibilityExpiry: string;
/** Map of season ID to season crest data */
seasons: {
[x: string]: {
/** UUID */
seasonId: string;
/** UUID */
rosterId: string;
rosterName: string;
rosterTag: string;
/** e.g. "EU_WEST", "EU_NORTH" */
conference: string;
division: number;
points: number;
/** e.g. "NONE", "COMPETITOR", "PLAYOFFS" */
crest: string;
championshipPointRequirement: number;
/** Map of event type (e.g. "LEAGUE", "TOURNAMENT") to games played */
gamesPlayedByEventType: {
[x: string]: number;
};
};
};
}; {
"puuid": "A75BB0c8-671B-eebC-dCfe-DfC23A009510",
"contenderEligibilityExpiry": "eos",
"seasons": {
"Bd67e14a-0C2E-69f3-c440-abf2D11440ef": {
"seasonId": "80dac242-3003-D140-0ECB-f8Df455AA672",
"rosterId": "2f4F4b51-eCb7-bC3c-c8e6-CdeA303D68De",
"rosterName": "termes",
"rosterTag": "conturbo",
"conference": "deorsum",
"division": 6889503208321040,
"points": 1580808219584588,
"crest": "aiunt",
"championshipPointRequirement": 3033263335073601,
"gamesPlayedByEventType": {
"asperiores": 6192192108211362
}
}
}
}